<?xml version="1.0" encoding="utf-8"?>

<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:html="http://www.w3.org/1999/xhtml"
  xmlns:dtb="http://www.daisy.org/z3986/2005/dtbook/">

  <xsl:output method="xml"
              doctype-system="chrome://lucidor/content/dtbook-2005-3.dtd"
              doctype-public="-//NISO//DTD dtbook 2005-3//EN"/>

  <!--
  <xsl:template match="dtb:*">
    <xsl:element name="{local-name()}">
      <xsl:apply-templates select="@* | node()"/>
    </xsl:element>
  </xsl:template>
  -->

  <xsl:template match="@*|node()">
    <xsl:copy>
      <xsl:apply-templates select="@*|node()"/>
    </xsl:copy>
  </xsl:template>

  <xsl:template match="dtb:a">
    <xsl:element name="a" namespace="http://www.w3.org/1999/xhtml">
      <xsl:apply-templates select="@*|node()"/>
    </xsl:element>
  </xsl:template>

  <xsl:template match="dtb:img">
    <xsl:element name="img" namespace="http://www.w3.org/1999/xhtml">
      <xsl:apply-templates select="@*|node()"/>
    </xsl:element>
  </xsl:template>

  <xsl:template match="dtb:noteref">
    <xsl:element name="noteref" namespace="http://www.daisy.org/z3986/2005/dtbook/">
      <xsl:apply-templates select="@*"/>
      <xsl:element name="a" namespace="http://www.w3.org/1999/xhtml">
	<xsl:attribute name="href">#<xsl:value-of select="@idref"/></xsl:attribute>
	<xsl:apply-templates select="node()"/>
      </xsl:element>
    </xsl:element>
  </xsl:template>

</xsl:stylesheet>
